Microsoft .Net Framework 2.0 несовместим с некоторыми прилож
От: Jenyay http://jenyay.net
Дата: 28.05.05 18:11
Оценка: 16 (1)
Взято здесь

eWeek.com сообщает о том, что корпорация Microsoft ищет людей и программы, которые помогли бы ей протестировать совместимость текущей версии .Net Framework и версии, которая войдет в Visual Studio 2005. Проблема в том, что Microsoft упомянула то, что некоторые приложения написанные для .Net Framework 1.1 не будут работать с .Net Framework 2.0.

Эта проблема всплыла с выпуском в прошлом месяце второй бета-версии Visual Studio 2005, известной также как Whidbey, в которой Microsoft представила .Net Framework 2.0. Обнаружившиеся проблемы заставили корпорацию опубликовать документ, в котором она обозначила ситуации, при которых приложения могут не работать. Однако, Microsoft требуется больше приложений для тестирования и она просит разработчиков присылать приложения для .Net Framework 1.1 на адрес netfxcmp@microsoft.com.

Финальная версия Whidbey выйдет во второй половине этого года, так что Microsoft рекомендует разработчикам тестировать свои приложения для .Net Framework 1.1 в .Net Framework 2.0, основываясь на второй бета-версии Whidbey.

В то же время, сама платформа позволяет бороться с несовместимостью разных версий, просто запуская приложения для старых версий в соответствующих окружениях. Однако, это требует наличия этих окружений и реальные проблемы начинаются, когда на компьютере стоит только .Net Framework 2.0.

Тестеры компании нашли менее 10 изменений, повлиявших на совместимость и, возможно, они будут отменены в окончательной версии .Net Framework 2.0. В то же время, Microsoft отмечает, что большая часть этих изменений связана с совместимостью со стандартами, отзывами пользователей и безопасностью, так что за ними стоят реальные пожелания пользователей платформы.

Также Microsoft предупреждает программистов о совместимости между версиями, а точнее, об отсутствии оной в сериализованных объектах. Сериализация тесно связана с внутренней структурой объекта, так что гарантировать совместимость невозможно. Также, проблемы появятся у приложений, самостоятельно проверяющих версию .Net Framework во время установки.


Документ самой Microsoft на этот счет можно почитать здесь.


Интересно, что это за изменения.
... << RSDN@Home 1.1.4 beta 7 rev. 0>>
Софт, исходники и фото
 
Подождите ...
Wait...
Пока на собственное сообщение не было ответов, его можно удалить.